Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::SegmentIntersection Class Reference

セグメント交差 More...

`#include <SegmentIntersection.h>`

List of all members.

## Static Public Member Functions
bool | intersect (const Segment &segment, const Vector3 &point, float range=Math::epsilon)
| 点交差
bool | intersect (const Segment &segment0, const Segment &segment1, float range=Math::epsilon)
| 交差
bool | intersect (const Segment &segment, const Sphere &sphere)
| 球交差
bool | intersect (const Segment &segment, const Triangle &triangle)
| 三角交差

## Detailed Description

セグメント交差

Definition at line 38 of file SegmentIntersection.h.

## Member Function Documentation

bool Lamp::SegmentIntersection::intersect | ( | const Segment & | segment,
|  | const Triangle & | triangle
| ) | `[static]`

  | 三角交差 Parameters:
  segment | セグメント
  triangle | 三角
Returns: 交差していればtrue Definition at line 61 of file SegmentIntersection.cpp. References Assert.

bool Lamp::SegmentIntersection::intersect | ( | const Segment & | segment,
|  | const Sphere & | sphere
| ) | `[static]`

  | 球交差 Parameters:
  segment | セグメント
  sphere | 球
Returns: 交差していればtrue Definition at line 51 of file SegmentIntersection.cpp. References Lamp::Sphere::getCenter(), Lamp::Sphere::getRadius(), and Lamp::Segment::getSquaredDistance().

bool Lamp::SegmentIntersection::intersect | ( | const Segment & | segment0,
|  | const Segment & | segment1,
|  | float | range = Math::epsilon
| ) | `[static]`

  | 交差 Parameters:
  segment0 | セグメント
  segment1 | セグメント
  range | 交差範囲
Returns: 交差していればtrue Definition at line 43 of file SegmentIntersection.cpp. References Lamp::Segment::getSquaredDistance().

bool Lamp::SegmentIntersection::intersect | ( | const Segment & | segment,
|  | const Vector3 & | point,
|  | float | range = Math::epsilon
| ) | `[static]`

  | 点交差 Parameters:
  segment | セグメント
  point | 点
  range | 交差範囲
Returns: 交差していればtrue Definition at line 34 of file SegmentIntersection.cpp. References Assert.

The documentation for this class was generated from the following files:

- SegmentIntersection.h
- SegmentIntersection.cpp